%define rhugversion 20030122
%define rhugsource1 %{name}-%{version} upstream

Summary: Jakarta Regular Expression Package
Name: jakarta-regexp
Version: 1.2
Release: 12
URL: http://jakarta.apache.org/regexp/
Source: rhug-%{name}-%{rhugversion}.tar.bz2
Source1: %{name}-%{version}.tar.gz
Patch1: %{name}-1.2-release.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-c++-ssa
BuildPrereq: gcc-java-ssa >= 3.5ssa-0.20030801.34
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj-ssa >= 3.5ssa-0.20030801.34
ExclusiveArch: i386 x86_64 ppc ia64

%description
Regexp is a 100% Pure Java Regular Expression package.  It includes a
simple Applet for visual debugging and testing suite for
compatibility.

%package devel
Summary: CNI headers for developing Jakarta Regexp applications
Group: Development/Libraries
Requires: jakarta-regexp = %{version}-%{release}

%description devel
The jakarta-regexp-devel package contains the headers required to
develop Cygnus Native Interface (CNI) extensions that use Jakarta
Regexp.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .release
mv ChangeLog ChangeLog.rhug

%build
CC=gcc-ssa CXX=g++-ssa GCJ=gcj-ssa GCJH=gcjh-ssa \
./configure --disable-static --prefix=%{_prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
rm -f ${RPM_BUILD_ROOT}%{_libdir}/lib-org-apache-regexp.so
for f in recompile; do
  mv ${RPM_BUILD_ROOT}%{_bindir}/$f ${RPM_BUILD_ROOT}%{_bindir}/$f-%{version}
done

%post
%{_sbindir}/javaconfig \
    %{_bindir}/recompile \
    %{_libdir}/lib-org-apache-regexp.so \
    %{_datadir}/java/jakarta-regexp.jar

%postun
%{_sbindir}/javaconfig \
    %{_bindir}/recompile \
    %{_libdir}/lib-org-apache-regexp.so \
    %{_datadir}/java/jakarta-regexp.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/LICENSE upstream/docs/*.html upstream/docs/api
%{_bindir}/*
%{_libdir}/*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/org/apache/regexp

%changelog
* Fri Sep  5 2003 Gary Benson <gbenson@redhat.com> 1.2-12
- Ensure we have a working javaconfig.

* Thu Sep  4 2003 Gary Benson <gbenson@redhat.com>
- Remove workarounds used to support alpha releases.

* Fri Aug 15 2003 Gary Benson <gbenson@redhat.com> 1.2-11
- Rebuild with new compiler.

* Tue Aug  5 2003 Gary Benson <gbenson@redhat.com> 1.2-10
- Rebuild with new compiler.

* Fri Jul 25 2003 Gary Benson <gbenson@redhat.com> 1.2-9
- Move everything but the CNI includes out of the -devel subpackage.
- Clarify the -devel subpackage's summary and description.
- Remove unnecessary -devel build-time dependencies (#99077).

* Mon Jun 30 2003 Gary Benson <gbenson@redhat.com> 1.2-8
- Rebuild with new compiler and enable ia64 build.

* Fri Jun  6 2003 Gary Benson <gbenson@redhat.com> 1.2-7
- Rebuild with new compiler.

* Thu Jun  5 2003 Gary Benson <gbenson@redhat.com>
- Add build time dependency on C++ compiler.

* Thu May 29 2003 Gary Benson <gbenson@redhat.com> 1.2-6
- Rebuild with new compiler.

* Thu May 22 2003 Gary Benson <gbenson@redhat.com> 1.2-5
- Move unversioned library symlink into main package.

* Fri May  2 2003 Tom Tromey <tromey@redhat.com> 1.2-4
- Rebuild with new compiler.

* Thu Mar 27 2003 Gary Benson <gbenson@redhat.com> 1.2-3
- Tighten up directory ownership in %{_includedir}.

* Thu Mar 27 2003 Gary Benson <gbenson@redhat.com> 1.2-2
- Rebuild with new compiler.

* Thu Mar 20 2003 Gary Benson <gbenson@redhat.com> 1.2-1
- Initial Red Hat Linux build.

* Fri Nov 22 2002 Gary Benson <gbenson@redhat.com>
- Initial RHUG build.
